Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.hornetq
Class HornetQTaskClientHandler

    java.lang.Object
      org.jbpm.task.service.BaseClientHandler
          org.jbpm.task.service.hornetq.HornetQTaskClientHandler

All Implemented Interfaces:
  BaseHandler

    public class HornetQTaskClientHandler

extends BaseClientHandler

Field Summary

Fields inherited from class org.jbpm.task.service.BaseClientHandler
`responseHandlers`

Constructor Summary
`HornetQTaskClientHandler(SystemEventListener systemEventListener)`

Method Summary
`void` | `exceptionCaught(org.hornetq.api.core.client.ClientSession session, Throwable cause)`
`TaskClient` | `getClient()`
`void` | `messageReceived(org.hornetq.api.core.client.ClientSession session, Object message, String producerId)`
`void` | `setClient(TaskClient client)`

Methods inherited from class org.jbpm.task.service.BaseClientHandler
`addResponseHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HornetQTaskClientHandler

    public HornetQTaskClientHandler(SystemEventListener systemEventListener)

Method Detail

### getClient

    public TaskClient getClient()

### setClient

    public void setClient(TaskClient client)

### exceptionCaught

    public void exceptionCaught(org.hornetq.api.core.client.ClientSession session,
                                Throwable cause)
                         throws Exception

  Throws:
    `Exception`

### messageReceived

    public void messageReceived(org.hornetq.api.core.client.ClientSession session,
                                Object message,
                                String producerId)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.